#include <bits/stdc++.h>

using namespace std;

typedef long long ll;


int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    vector<int> c(2*n+1,-1);
    c[n]=n+1;
    c[n+1]=n;
    int br1=2*n,br2=1;
    for (int i=1; i<=2*n; i++){
        if (c[i]==-1){
            if (i%2!=0){
                c[i]=br2++;
            }
            else{
                c[i]=br1--;
            }
        }
    }
    for (int i:c){
        if (i!=-1){
            cout << i << " ";
        }
        if (i==n+1){
            cout << endl;
        }
    }
    return 0;
}